public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-regressions/
Date: Thu, 28 Jan 2021 08:35:27 +0000 (UTC)	[thread overview]
Message-ID: <1611822920.31eb3aec5615a80b1fcbf8ad15b36190b02f3e31.mgorny@gentoo> (raw)

commit:     31eb3aec5615a80b1fcbf8ad15b36190b02f3e31
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 28 07:57:29 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 28 08:35:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31eb3aec

dev-python/pytest-regressions: Bump to 2.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-regressions/Manifest             |  1 +
 .../pytest-regressions-2.2.0.ebuild                | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/pytest-regressions/Manifest b/dev-python/pytest-regressions/Manifest
index 59a56456553..b4562fbb63b 100644
--- a/dev-python/pytest-regressions/Manifest
+++ b/dev-python/pytest-regressions/Manifest
@@ -1 +1,2 @@
 DIST pytest-regressions-2.1.1.tar.gz 97596 BLAKE2B a0c62ec1a0c1f66d0539780008a99bcf7fb0f9bd6d73198154c9a1ebe9830679d4fb57f989a2ac03c19cce7ac617db26c07857581d2bf753fbe18358a9edcecc SHA512 488bf42502ad18995c1f1e7f32677c500d14869cc0e2655400610bf18b73f48538025c08fc23758737ebb92deba61b130a1f6f82a75f71d93f03181ccd74a9c4
+DIST pytest-regressions-2.2.0.tar.gz 98162 BLAKE2B d87b331a35a988e8da6a6c827b594eea6ac64adb17a5b4a054ff0e9526d8d0153d84e0f59ffc805f76a96c1b100961ae12d05849fe2dd35ff4c18f42e235b3b0 SHA512 a4c91590f6e3825eef97da4fb21c1b852b68b60d6dc61ca9e1581737c0cb02831b091ae215aa16a5c50d06d413dabf243de4e98ebd01ce2af7fd2ddbaedec3fb

diff --git a/dev-python/pytest-regressions/pytest-regressions-2.2.0.ebuild b/dev-python/pytest-regressions/pytest-regressions-2.2.0.ebuild
new file mode 100644
index 00000000000..3e11d5accfd
--- /dev/null
+++ b/dev-python/pytest-regressions/pytest-regressions-2.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy to use fixtures to write regression tests"
+HOMEPAGE="https://github.com/ESSS/pytest-regressions"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/pytest[${PYTHON_USEDEP}]
+	dev-python/pytest-datadir[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-python/matplotlib[${PYTHON_USEDEP}]
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/pandas[${PYTHON_USEDEP}]
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/tox[${PYTHON_USEDEP}]
+	)"
+
+distutils_enable_tests --install pytest
+distutils_enable_sphinx doc dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+	# Does not work with the panda's version in ::gentoo
+	sed -i -e 's:test_non_numeric_data:_&:' \
+		-e 's:test_non_pandas_dataframe:_&:' \
+		tests/test_dataframe_regression.py || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2021-01-28  8:35 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-28  8:35 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-16 16:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-regressions/ Michał Górny
2025-01-25 10:01 Michał Górny
2025-01-25  9:20 Arthur Zamarin
2025-01-10 20:43 Michał Górny
2025-01-04 12:29 Michał Górny
2025-01-04 11:44 Sam James
2024-12-18  7:27 Michał Górny
2024-05-11 11:05 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:31 Sam James
2023-09-01  5:06 Michał Górny
2023-08-31 13:22 Michał Górny
2023-05-29 12:49 Michał Górny
2023-05-29 12:49 Michał Górny
2023-04-09 20:40 Andrew Ammerlaan
2023-03-19 17:36 Arthur Zamarin
2023-03-17 15:23 Michał Górny
2023-02-16 20:58 Arthur Zamarin
2023-01-25 16:10 WANG Xuerui
2023-01-14  4:57 Michał Górny
2022-10-22 15:58 Michał Górny
2022-10-22 15:50 Arthur Zamarin
2022-09-19 19:02 Arthur Zamarin
2022-06-24 15:46 Michał Górny
2022-05-17 12:20 Andrew Ammerlaan
2022-05-07 20:00 Michał Górny
2022-03-12 11:17 Arthur Zamarin
2022-03-01 11:30 Agostino Sarubbo
2022-02-28 10:13 Michał Górny
2022-02-28 10:13 Michał Górny
2022-02-28 10:13 Michał Górny
2022-02-28  8:35 Michał Górny
2022-02-13 13:00 Michał Górny
2022-02-13 10:38 Agostino Sarubbo
2022-02-07 11:36 Sam James
2022-01-19 22:59 Michał Górny
2022-01-04 21:46 Arthur Zamarin
2021-11-20  6:35 Sam James
2021-11-19  8:37 Arthur Zamarin
2021-11-19  7:59 Arthur Zamarin
2021-09-27 10:14 James Le Cuirot
2021-09-07  5:30 Sam James
2021-09-07  2:47 Sam James
2021-09-06 21:26 Sam James
2021-08-04 21:57 Marek Szuba
2021-07-25  3:23 Sam James
2021-07-23 14:08 Andrew Ammerlaan
2021-03-02  9:00 Michał Górny
2021-03-02  7:38 Sam James
2021-01-28  8:35 Michał Górny
2021-01-18 18:48 Michał Górny
2021-01-18 16:53 Sam James
2020-12-17  0:18 Matt Turner
2020-12-17  0:18 Matt Turner
2020-12-06  9:53 Joonas Niilola
2020-12-06  9:14 Michał Górny
2020-12-05  9:58 Michał Górny
2020-11-05  1:39 Matt Turner
2020-10-17 16:41 Joonas Niilola
2020-10-17 16:41 Joonas Niilola
2020-09-21 16:06 Michał Górny
2020-09-15  8:09 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1611822920.31eb3aec5615a80b1fcbf8ad15b36190b02f3e31.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox